# 32/64bit spec
#
%define ver 1.4.4

Name:           lazarus
Version:        %{ver}
Release:        %mkrel 1
Summary:        Lazarus Component Library and IDE for Freepascal
Summary(de):	Lazarus Komponenten Bibliothek und IDE
Group:          Development/Other
License:        GPLv2+ and MPLv1.1 and LGPLv2+ with exceptions
URL:            http://www.lazarus.freepascal.org/
Source0:        http://www.hu.freepascal.org/%{name}/%{name}-%{ver}.tar.xz
BuildRequires: fpc-src >= 2.6.0
BuildRequires: fpc >= 2.6.0
BuildRequires: glibc
BuildRequires: gdb
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: desktop-file-utils
Requires: fpc-src >= 2.6.0
Requires: fpc >= 2.6.0
Requires: gdb
Requires: binutils
Requires: glibc-devel

%description
Lazarus is a free and opensource RAD tool for freepascal using the lazarus
component library - LCL, which is also included in this package.

#german
%description -l de
Lazarus ist ein freies und OpenSource Rapid Anwendungsentwicklungswerkzeug 
für den FreePascal Compiler und verwendet die Lazarus Komponenten Bibliothek 
- LCL. Die LCL ist in diesem Paket enthalten. 

%prep
%setup -q -c

%build
cd lazarus
# Remove the files for building debian-repositories
rm -rf debian
rm -rf tools/install/cross_unix/debian_crosswin32
rm tools/install/cross_unix/create_linux_cross_win32_deb.sh
rm tools/install/cross_unix/HowToCreate_fpc_crosswin32_deb.txt
# Remove scripts vulnerable to symlink-attacks (bug 460642)
#rm tools/convert_po_file_to_utf-8.sh
rm tools/install/build_fpc_snaphot_rpm.sh
rm tools/install/check_fpc_dependencies.sh
rm tools/install/create_fpc_deb.sh
rm tools/install/create_fpc_export_tgz.sh
rm tools/install/create_fpc_rpm.sh
rm tools/install/create_fpc-src_rpm.sh
rm tools/install/create_fpc_tgz_from_local_dir.sh
rm tools/install/create_lazarus_export_tgz.sh 

export FPCDIR=%{_datadir}/fpcsrc/
fpcmake -Tall
make all
#make bigide OPT='-gl'
#make lazbuilder OPT='-gl'
# Add the ability to create gtk2-applications
export LCL_PLATFORM=gtk2
make lcl components/ideintf packager/registration bigidecomponents OPT='-gl'
export LCL_PLATFORM=
strip lazarus
strip startlazarus
strip lazbuild

%install
rm -rf %{buildroot}
LAZARUSDIR=%{_libdir}/%{name}
mkdir -p %{buildroot}$LAZARUSDIR
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/mime/packages
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_sysconfdir}/lazarus
cp -a lazarus/* %{buildroot}$LAZARUSDIR/
  install -m 644 lazarus/images/ide_icon48x48.png %{buildroot}%{_datadir}/pixmaps/lazarus.png
  install -m 644 lazarus/install/lazarus-mime.xml $LazBuildDir%{buildroot}%{_datadir}/mime/packages/lazarus.xml
ln -sf $LAZARUSDIR/lazarus %{buildroot}%{_bindir}/lazarus-ide
ln -sf $LAZARUSDIR/startlazarus %{buildroot}%{_bindir}/startlazarus
ln -sf $LAZARUSDIR/lazbuild %{buildroot}%{_bindir}/lazbuild
cat lazarus/install/man/man1/lazbuild.1 | gzip > %{buildroot}%{_mandir}/man1/lazbuild.1.gz
cat lazarus/install/man/man1/lazarus-ide.1 | gzip > %{buildroot}%{_mandir}/man1/lazarus-ide.1.gz
cat lazarus/install/man/man1/startlazarus.1 | gzip > %{buildroot}%{_mandir}/man1/startlazarus.1.gz
  install lazarus/tools/install/linux/editoroptions.xml %{buildroot}%{_sysconfdir}/lazarus/editoroptions.xml
cat lazarus/tools/install/linux/environmentoptions.xml | sed -e "s#/usr/lib/lazarus/#$LAZARUSDIR/#;s#\\(FPCSourceDirectory.*\\)\\\$(FPCVER)/#\\1#;s#\\(LazarusDirectory.*\\)%%LazarusVersion%#\\1#" > %{buildroot}%{_sysconfdir}/lazarus/environmentoptions.xml

chmod 755 %{buildroot}%{_libdir}/%{name}/components/lazreport/tools/localize.sh

# Remarked out (mbantz) - cannot rebuild ide without these commands
#pushd %{buildroot}%{_libdir}/%{name}
#rm -f Makefile* *.txt
#rm -rf install
#popd

%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Lazarus
Name[de]=Lazarus
Comment=Lazarus IDE
Comment[de]=Lazarus Entwicklungsumgebung für Free Pascal Anwendungen
Comment[da]=Lazarus udviklingsmiljø for Free Pascal
Exec=startlazarus %f
Terminal=false
Type=Application
Icon=lazarus
Categories=IDE;Development;GTK;GUIDesigner;
StartupWMClass=Lazarus
MimeType=text/x-pascal;text/lazarus-project-source;text/lazarus-project-information;text/lazarus-form;text/lazarus-resource;text/lazarus-package;text/lazarus-package-link;text/lazarus-code-inlay;
EOF

%files
%doc lazarus/COPYING* lazarus/README.txt
%{_libdir}/%{name}
%{_bindir}/%{name}-ide
%{_bindir}/startlazarus
%{_bindir}/lazbuild
%{_datadir}/pixmaps/lazarus.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/lazarus.xml
%dir %{_sysconfdir}/lazarus
%config(noreplace) %{_sysconfdir}/lazarus/editoroptions.xml
%config(noreplace) %{_sysconfdir}/lazarus/environmentoptions.xml
%{_mandir}/*/*


%changelog
* Sat Oct 10 2015 ghostbunny <ghostbunny at gmx dot de> 1.4.4-1pclos2015
- 1.4.4

* Sun Sep 06 2015 Mbantz <martin dot bantz at gmail dot com> 1.4.2-1pclos2015
- Update to 1.4.2

* Mon Jan 05 2015 Mbantz <martin dot bantz at gmail dot com> 1.2.6-1pclos2015
- 1.2.6
- Desktop patch removed, creating .desktop in spec instead

* Fri Jan 03 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.14-1pclos2014
- 1.0.14

* Thu Jun 13 2013 ghostbunny <ghostbunny at gmx dot de> 1.0.10-1pclos2013
- 1.0.10

* Thu May 09 2013 ghostbunny <ghostbunny at gmx dot de> 1.0.8-1pclos2013
- 1.0.8

* Tue Feb 05 2013 ghostbunny <ghostbunny at gmx dot de> 1.0.6-1pclos2013
- 1.0.6
- fixed german description
- rediff patch with german name and comment
- added %{_lib} macros
- commented requires gtk... gdk... they are recognized automatically

* Sat Sep 08 2012 Neal <nealbrks0 at gmail dot com> 1.0.0-1pclos2012
- process

* Thu Sep 06 2012 slick50 <lxgator@gmail.com> 1.0.0-1pclos2012
- 1.0.0

* Sun Mar 04 2012 Neal <nealbrks0 at gmail dot com> 0.9.31-2pclos2012
- process

* Mon Feb 27 2012 leiche <meisssw01 at gmail.com> 0.9.31-2pclos2012
- new shnapshot release 35602 20120227
 
* Thu Feb 23 2012 leiche <meisssw01 at gmail.com> 0.9.31-1pclos2012
- 0.9.31
- add german description

* Sat Oct 22 2011 Texstar <texstar at gmail.com> 0.9.30.1-1pclos2011
- 0.9.30.1
